com.io7m.jpra.model.types

## Class TBooleanSet

- java.lang.Object
- - com.io7m.jpra.model.types.TBooleanSet

- All Implemented Interfaces:
    ModelElementType, TType

      @Immutable
      public final class TBooleanSet
      extends Object
      implements TType

  A `boolean-set` type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TBooleanSet(Optional<com.io7m.jlexing.core.LexicalPosition<Path>> in_lex, com.gs.collections.api.list.ImmutableList<FieldName> in_fields, Size<SizeUnitOctetsType> in_size)` Construct a boolean set type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.gs.collections.api.list.ImmutableList<FieldName>` | `getFieldsInDeclarationOrder()`
    `Optional<com.io7m.jlexing.core.LexicalPosition<Path>>` | `getLexicalInformation()` Fetch the lexical information for the element.
    `Size<SizeUnitBitsType>` | `getSizeInBits()`
    `Size<SizeUnitOctetsType>` | `getSizeInOctets()`
    `<A,E extends Exception> A` | `matchType(TypeMatcherType<A,E> m)` Accept a matcher.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TBooleanSet

          public TBooleanSet(Optional<com.io7m.jlexing.core.LexicalPosition<Path>> in_lex,
                             com.gs.collections.api.list.ImmutableList<FieldName> in_fields,
                             Size<SizeUnitOctetsType> in_size)

      Construct a boolean set type.
      Parameters:
        `in_lex` - Lexical information, if any
        `in_fields` - The fields
        `in_size` - The size

  - ### Method Detail

    - #### getSizeInOctets

          public Size<SizeUnitOctetsType> getSizeInOctets()

      Returns:
        The size in octets of the set

    - #### getFieldsInDeclarationOrder

          public com.gs.collections.api.list.ImmutableList<FieldName> getFieldsInDeclarationOrder()

      Returns:
        The fields in declaration order

    - #### getSizeInBits

          public Size<SizeUnitBitsType> getSizeInBits()

      Specified by:
        `getSizeInBits` in interface `TType`
      Returns:
        The size in bits

    - #### matchType

          public <A,E extends Exception> A matchType(TypeMatcherType<A,E> m)
                                              throws E extends Exception

      Description copied from interface: `TType`
      Accept a matcher.
      Specified by:
        `matchType` in interface `TType`
      Type Parameters:
        `A` - The type of returned values
        `E` - The type of raised exceptions
      Parameters:
        `m` - The matcher
      Returns:
        The value returned by `m`
      Throws:
        `E` - If `m` raises `E`
        `E extends Exception`

    - #### getLexicalInformation

          public Optional<com.io7m.jlexing.core.LexicalPosition<Path>> getLexicalInformation()

      Description copied from interface: `ModelElementType`
      Fetch the lexical information for the element. This is used to localize error messages to a position in a file when referring to specific elements.
      Specified by:
        `getLexicalInformation` in interface `ModelElementType`
      Returns:
        The original lexical information, if any

Copyright © 2017 <code@io7m.com> http://io7m.com